Package org.eclipse.m2m.atl.common

# Class ATLResourceProvider

java.lang.Object
org.eclipse.m2m.atl.common.ATLResourceProvider

public final class ATLResourceProvider extends Object
Provides common .ecore files:

- ATL.ecore: ATL metamodel.
- Problem.ecore: Problem metamodel.
- RefiningTrace.ecore: RefiningTrace metamodel.

## Method Summary

Modifier and Type
Method
Description
`static URL`
`getURL(String resourceName)`
Returns the URL of the resource matching the given name.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Method Details

### getURL

public static URL getURL(String resourceName)
Returns the URL of the resource matching the given name.

Parameters:
  `resourceName` - the resource name
Returns:
  the URL of the resource matching the given name.